net.sourceforge.jnlp

## Class ApplicationDesc

- java.lang.Object
- - net.sourceforge.jnlp.ApplicationDesc

All Implemented Interfaces:
  LaunchDesc

    public class ApplicationDesc
    extends java.lang.Object
    implements LaunchDesc

The application-desc element.

### Constructor Summary

Constructors
Constructor and Description
`ApplicationDesc(java.lang.String mainClass, java.lang.String[] arguments)` Create an Application descriptor.

### Method Summary

Methods
`void` `addArgument(java.lang.String arg)` Add an argument to the end of the arguments.
`java.lang.String[]` `getArguments()` Returns the arguments
`java.lang.String` `getMainClass()` Returns the main class name

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationDesc

    public ApplicationDesc(java.lang.String mainClass,
                   java.lang.String[] arguments)

Create an Application descriptor.

Parameters:
  `mainClass` - the main class name and package
  `arguments` - the arguments

### Method Detail

#### getMainClass

    public java.lang.String getMainClass()

Returns the main class name

Specified by:
  `getMainClass` in interface `LaunchDesc`

#### getArguments

    public java.lang.String[] getArguments()

Returns the arguments

#### addArgument

    public void addArgument(java.lang.String arg)

Add an argument to the end of the arguments.